svn版本的beryl settings manager没反应

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
freecode
帖子: 118
注册时间: 2005-05-11 8:56
送出感谢: 0
接收感谢: 0

svn版本的beryl settings manager没反应

#1

帖子 freecode » 2007-01-10 18:16

更新到svn版本,为什么样beryl settings manager没反应了?点了它没任何动作。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-01-10 19:34

安裝 beryl-settings-bindings

再不行就刪掉~/.beryl
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
freecode
帖子: 118
注册时间: 2005-05-11 8:56
送出感谢: 0
接收感谢: 0

#3

帖子 freecode » 2007-01-10 20:34

没找到beryl-settings-bindings 包。
删除了 .beryl,也没有效果。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 BigSnake.NET » 2007-01-10 20:47

freecode 写了:没找到beryl-settings-bindings 包。
删除了 .beryl,也没有效果。
附件
Screenshot-新立得软件包管理器 .png
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
空心菜
帖子: 46
注册时间: 2007-01-06 17:45
送出感谢: 0
接收感谢: 0

#5

帖子 空心菜 » 2007-01-16 20:22

BigSnake.NET 写了:安裝 beryl-settings-bindings

再不行就刪掉~/.beryl
sudo apt-get install beryl-settings-bindings
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
将会安装下列额外的软件包:
python-all python2.5 python2.5-minimal
建议安装的软件包:
python2.5-doc python-profiler
下列【新】软件包将被安装:
beryl-settings-bindings python-all python2.5 python2.5-minimal
共升级了 0 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 4345kB 的软件包。
解压缩后会消耗掉 15.3MB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://cn.archive.ubuntu.com edgy/main python2.5-minimal 2.5-2ubuntu2 [975kB]
获取:2 http://download.tuxfamily.org edgy/beryl-svn beryl-settings-bindings 0.1.5+svn20070113-r2643+3v1ubuntu3 [128kB]
获取:3 http://cn.archive.ubuntu.com edgy/main python2.5 2.5-2ubuntu2 [3241kB]
获取:4 http://cn.archive.ubuntu.com edgy/main python-all 2.4.3-11ubuntu3 [888B]
下载 4345kB,耗时 55s (78.9kB/s)
选中了曾被取消选择的软件包 python2.5-minimal。
(正在读取数据库 ... 系统当前总共安装有 102260 个文件和目录。)
正在解压缩 python2.5-minimal (从 .../python2.5-minimal_2.5-2ubuntu2_i386.deb) ...
选中了曾被取消选择的软件包 python2.5。
正在解压缩 python2.5 (从 .../python2.5_2.5-2ubuntu2_i386.deb) ...
选中了曾被取消选择的软件包 python-all。
正在解压缩 python-all (从 .../python-all_2.4.3-11ubuntu3_all.deb) ...
选中了曾被取消选择的软件包 beryl-settings-bindings。
正在解压缩 beryl-settings-bindings (从 .../beryl-settings-bindings_0.1.5+svn20070113-r2643+3v1ubuntu3_i386.deb) ...
正在设置 python2.5-minimal (2.5-2ubuntu2) ...
Linking and byte-compiling packages for runtime python2.5...

正在设置 python2.5 (2.5-2ubuntu2) ...

正在设置 python-all (2.4.3-11ubuntu3) ...
正在设置 beryl-settings-bindings (0.1.5+svn20070113-r2643+3v1ubuntu3) ...


非常好,谢谢
tianmen
帖子: 2
注册时间: 2006-11-15 4:06
送出感谢: 0
接收感谢: 0

#6

帖子 tianmen » 2007-01-17 22:20

楼主的问题其实是这样的,目前的beryl-setting 其实是一个python 脚本。
你可以cat /usr/bin/beryl-setting 看一下。脚本的第一行就是import beryl-setting.
这需要调用到已经编译好的一个模块berylsetting.so 而这个模块默认是安装在/usr/lib/python2.5/site-package/
这就需要设置正确的PYTHONPATH 能够搜索到berylsetting.so
所以有两个解决方案,第一是,以把上面的提到的目录下的beryl* cp 到/usr/lib/python2.4/site-package/这样是无须安装python2.5 的当然如果你在终端调用的时候会提示你版本号不一致,但是可以ws之,可以正常调用。也可
第二就是安装和设置python2.5.

我安装svn2007113 的版本的出错,无法调出设置菜单,当时安装了beryl-setting-bings后依然无用。用上面的办法手工调整后,起效。但今天update 后,手工删去了python2.4 下的文件,可以正常调用,看来svn 已经修正了这个bug。
目前可以直接安装beryl-setting-bings 就可以了
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#7

帖子 BigSnake.NET » 2007-01-17 23:12

现在beryl-settings-bindings的依赖关系会联动安装python2.5
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
回复

回到 “桌面特效”